summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorcvsdist <cvsdist@fedoraproject.org>2004-09-09 10:47:56 +0000
committercvsdist <cvsdist@fedoraproject.org>2004-09-09 10:47:56 +0000
commitaba59f5cde0cd3f184acd683a18bc647e0e52de6 (patch)
treeefd62e323e61cf9b0599ffa1504f5f9dc4ad331b
parent027e0bdc7c9964283b0d3afae2469002f0fc9799 (diff)
downloadpostgresql-setup-postgresql-7_4_3-1.tar.gz
postgresql-setup-postgresql-7_4_3-1.tar.xz
postgresql-setup-postgresql-7_4_3-1.zip
auto-import changelog data from postgresql-7.4.3-1.src.rpmpostgresql-7_4_3-1
Wed Jun 23 2004 Tom Lane <tgl@redhat.com> 7.4.3-1 - Update to PostgreSQL 7.4.3. - Uninstalling server RPM stops postmaster first, per bug 114846. - Fix su commands to not assume PG user's shell is sh-like, per bug 124024. - Fix permissions on postgresql-python doc files, per bug 124822. - Minor postgresql.init improvements. Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com> - rebuilt
-rw-r--r--.cvsignore2
-rw-r--r--postgresql.init41
-rwxr-xr-xpostgresql.spec21
-rw-r--r--sources2
4 files changed, 45 insertions, 21 deletions
diff --git a/.cvsignore b/.cvsignore
index 5512c03..4966653 100644
--- a/.cvsignore
+++ b/.cvsignore
@@ -1,2 +1,2 @@
PyGreSQL-3.4.tgz
-postgresql-7.4.2.tar.bz2
+postgresql-7.4.3.tar.bz2
diff --git a/postgresql.init b/postgresql.init
index 8b08700..ecf39b4 100644
--- a/postgresql.init
+++ b/postgresql.init
@@ -2,7 +2,7 @@
# postgresql This is the init script for starting up the PostgreSQL
# server
#
-# chkconfig: - 85 15
+# chkconfig: 2345 75 25
# description: Starts and stops the PostgreSQL backend daemon that handles \
# all database requests.
# processname: postmaster
@@ -15,7 +15,6 @@
# Version 7.0 Lamar Owen
# Added logging code
# Changed PGDATA.
-#
# Version 7.0.2 Trond Eivind Glomsrd <teg@redhat.com>
# use functions, add conditional restart
@@ -48,10 +47,15 @@
# Tested the $? return for the stop script -- it does in fact propagate.
# TODO: multiple postmasters.
-# VErsion 7.3 Lamar OWen <lamar.owen@ramifordistat.net>
+# Version 7.3 Lamar Owen <lamar.owen@ramifordistat.net>
# Multiple postmasters, courtesy Karl DeBisschop
-# VErsion 7.4 Lamar Owen.
+# Version 7.4 Lamar Owen.
+
+# Version 7.4.3 Tom Lane <tgl@sss.pgh.pa.us>
+# Support condstop for uninstall
+# Minor other changes suggested by Fernando Nasser.
+
# PGVERSION is:
PGVERSION=7.4
@@ -74,7 +78,8 @@ then
fi
-# Set defaults for port and database directory
+# Set defaults for configuration variables
+PGENGINE=/usr/bin
PGPORT=5432
export PGDATA=/var/lib/pgsql
if [ -f $PGDATA/PG_VERSION ] && [ -d $PGDATA/base/template1 ]
@@ -83,6 +88,7 @@ then
else
export PGDATA=/var/lib/pgsql/data
fi
+PGLOG=/dev/null
# Override defaults from /etc/sysconfig/pgsql if file is present
[ -f /etc/sysconfig/pgsql/${NAME} ] && . /etc/sysconfig/pgsql/${NAME}
@@ -94,7 +100,7 @@ export PGOPTS
# Pretty much need it for postmaster.
[ "${NETWORKING}" = "no" ] && exit 0
-[ -f /usr/bin/postmaster ] || exit 0
+[ -f $PGENGINE/postmaster ] || exit 0
start(){
PSQL_START=$"Starting ${NAME} service: "
@@ -154,7 +160,7 @@ start(){
# Is expanded this early to be used in the command su runs
echo "export LANG LC_ALL LC_CTYPE LC_COLLATE LC_NUMERIC LC_CTYPE LC_TIME" >> $PGDATA/../initdb.i18n
# Initialize the database
- su -l postgres -c "/usr/bin/initdb --pgdata=$PGDATA > /dev/null 2>&1" < /dev/null
+ su -l postgres -c "$PGENGINE/initdb --pgdata=$PGDATA" >> $PGLOG 2>&1 < /dev/null
[ -f $PGDATA/PG_VERSION ] && echo_success
[ ! -f $PGDATA/PG_VERSION ] && echo_failure
echo
@@ -163,17 +169,17 @@ start(){
# Check for postmaster already running...
# note that pg_ctl only looks at the data structures in PGDATA
# you really do need the pidof()
- pid=`pidof -s /usr/bin/postmaster`
- if [ $pid ] && /usr/bin/pg_ctl status -D $PGDATA > /dev/null 2>&1
+ pid=`pidof -s $PGENGINE/postmaster`
+ if [ $pid ] && $PGENGINE/pg_ctl status -D $PGDATA > /dev/null 2>&1
then
echo $"Postmaster already running."
else
#all systems go -- remove any stale lock files
rm -f /tmp/.s.PGSQL.${PGPORT} > /dev/null
echo -n "$PSQL_START"
- su -l postgres -c "/usr/bin/pg_ctl -D $PGDATA -p /usr/bin/postmaster -o '-p ${PGPORT} ${PGOPTS}' start > /dev/null 2>&1" < /dev/null
+ su -l postgres -c "$PGENGINE/pg_ctl -D $PGDATA -p $PGENGINE/postmaster -o '-p ${PGPORT} ${PGOPTS}' start" >> $PGLOG 2>&1 < /dev/null
sleep 1
- pid=`pidof -s /usr/bin/postmaster`
+ pid=`pidof -s $PGENGINE/postmaster`
if [ $pid ]
then
success "$PSQL_START"
@@ -189,7 +195,7 @@ start(){
stop(){
echo -n $"Stopping ${NAME} service: "
- su -l postgres -c "/usr/bin/pg_ctl stop -D $PGDATA -s -m fast" > /dev/null 2>&1 < /dev/null
+ su -l postgres -c "$PGENGINE/pg_ctl stop -D $PGDATA -s -m fast" > /dev/null 2>&1 < /dev/null
ret=$?
if [ $ret -eq 0 ]
then
@@ -211,8 +217,12 @@ condrestart(){
[ -e /var/lock/subsys/${NAME} ] && restart
}
+condstop(){
+ [ -e /var/lock/subsys/${NAME} ] && stop
+}
+
reload(){
- su -l postgres -c "/usr/bin/pg_ctl reload -D $PGDATA -s" > /dev/null 2>&1 < /dev/null
+ su -l postgres -c "$PGENGINE/pg_ctl reload -D $PGDATA -s" > /dev/null 2>&1 < /dev/null
}
# This script is slightly unusual in that the name of the daemon (postmaster)
@@ -235,11 +245,14 @@ case "$1" in
condrestart)
condrestart
;;
+ condstop)
+ condstop
+ ;;
reload|force-reload)
reload
;;
*)
- echo $"Usage: $0 {start|stop|status|restart|condrestart|reload|force-reload}"
+ echo $"Usage: $0 {start|stop|status|restart|condrestart|condstop|reload|force-reload}"
exit 1
esac
diff --git a/postgresql.spec b/postgresql.spec
index 2894efc..0b28526 100755
--- a/postgresql.spec
+++ b/postgresql.spec
@@ -45,7 +45,7 @@
Summary: PostgreSQL client programs and libraries.
Name: postgresql
-Version: 7.4.2
+Version: 7.4.3
# Conventions for PostgreSQL Global Development Group RPM releases:
@@ -81,7 +81,7 @@ Source11: http://jdbc.postgresql.org/download/pg74.1jdbc3.jar
Source15: postgresql-bashprofile
Source16: filter-requires-perl-Pg.sh
Source18: ftp://ftp.pygresql.org/pub/distrib/PyGreSQL-3.4.tgz
-Patch1: rpm-pgsql-%{version}.patch
+Patch1: rpm-pgsql-7.4.patch
Patch2: rpm-multilib-%{version}.patch
Patch3: postgresql-7.4-tighten.patch
Patch5: postgresql-plperl.patch
@@ -339,6 +339,9 @@ popd
tar xzf %{SOURCE18}
PYGRESQLDIR=`basename %{SOURCE18} .tgz`
mv $PYGRESQLDIR PyGreSQL
+ # Some versions of PyGreSQL.tgz contain wrong permissions for docs files
+ chmod 644 PyGreSQL/Announce PyGreSQL/ChangeLog
+ chmod 755 PyGreSQL/tutorial PyGreSQL/tutorial/*.py
%endif
%build
@@ -521,14 +524,12 @@ chkconfig --add postgresql
%preun server
if [ $1 = 0 ] ; then
+ /sbin/service postgresql condstop >/dev/null 2>&1
chkconfig --del postgresql
fi
%postun server
/sbin/ldconfig
-if [ $1 -ge 1 ]; then
- /sbin/service postgresql condrestart >/dev/null 2>&1
-fi
if [ $1 = 0 ] ; then
userdel postgres >/dev/null 2>&1 || :
groupdel postgres >/dev/null 2>&1 || :
@@ -770,6 +771,16 @@ rm -rf $RPM_BUILD_ROOT
%endif
%changelog
+* Wed Jun 23 2004 Tom Lane <tgl@redhat.com> 7.4.3-1
+- Update to PostgreSQL 7.4.3.
+- Uninstalling server RPM stops postmaster first, per bug 114846.
+- Fix su commands to not assume PG user's shell is sh-like, per bug 124024.
+- Fix permissions on postgresql-python doc files, per bug 124822.
+- Minor postgresql.init improvements.
+
+* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
+- rebuilt
+
* Wed Mar 10 2004 Tom Lane <tgl@redhat.com> 7.4.2-1
- Update to PostgreSQL 7.4.2; sync with community SRPM as much as possible.
- Support PGOPTS from /etc/sysconfig/pgsql, per bug 111504.
diff --git a/sources b/sources
index 79f791a..a3eb43f 100644
--- a/sources
+++ b/sources
@@ -1,2 +1,2 @@
235d31d1c4d1323c743d1cdff0866551 PyGreSQL-3.4.tgz
-54a03da34c8520635957f833a4a077ee postgresql-7.4.2.tar.bz2
+204d8ab0c51d9691da2bd986ddbdc477 postgresql-7.4.3.tar.bz2